{"openapi":"3.1.0","info":{"title":"Super MedMe API","description":"Super MedMe REST API","version":"1.16.2.191"},"servers":[{"url":"https://universe-intern.unibas.ch/api","description":"Super MedMe"}],"security":[{"Bearer Token":[]}],"paths":{"/zoom-room-meeting/{zoomRoomMeetId}/meetings-auto-recording":{"put":{"tags":["zoom-room-meeting-controller"],"operationId":"updateAutoRecordingMeetings","parameters":[{"name":"zoomRoomMeetId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateMeetAutoRecordDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpdateMeetAutoRecordDto"}}}}}}},"/v2/publications/{publicationId}/visibility":{"put":{"tags":["publication-v-2-controller"],"operationId":"updatePublicationVisibility","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"isVisible","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationVisibilityResponse"}}}}}}},"/v2/book/{publicationId}/visibility":{"put":{"tags":["publication-v-2-controller"],"operationId":"updatePublicationVisibility_1","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"isVisible","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationVisibilityResponse"}}}}}}},"/v2/publications/{publicationId}/edit-lock":{"get":{"tags":["publication-v-2-controller"],"operationId":"getPublicationEditLock","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationEditLockResponse"}}}}}},"put":{"tags":["publication-v-2-controller"],"operationId":"acquireEditLock","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationEditLockResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Failed to acquire edit lock for publication: 1":{"summary":"Failed to acquire edit lock for publication: 1","value":"{\n  \"message\" : \"Failed to acquire edit lock for publication: 1\",\n  \"messageCode\" : \"publication_edit_locked\",\n  \"messageAttrs\" : {\n    \"publicationId\" : 1,\n    \"username\" : \"<user id>\"\n  }\n}"}}}}}}},"delete":{"tags":["publication-v-2-controller"],"operationId":"releaseEditLock","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Failed to acquire edit lock for publication: 1":{"summary":"Failed to acquire edit lock for publication: 1","value":"{\n  \"message\" : \"Failed to acquire edit lock for publication: 1\",\n  \"messageCode\" : \"publication_edit_locked\",\n  \"messageAttrs\" : {\n    \"publicationId\" : 1,\n    \"username\" : \"<user id>\"\n  }\n}"}}}}}}}},"/v2/book/{publicationId}/edit-lock":{"get":{"tags":["publication-v-2-controller"],"operationId":"getPublicationEditLock_1","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationEditLockResponse"}}}}}},"put":{"tags":["publication-v-2-controller"],"operationId":"acquireEditLock_1","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationEditLockResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Failed to acquire edit lock for publication: 1":{"summary":"Failed to acquire edit lock for publication: 1","value":"{\n  \"message\" : \"Failed to acquire edit lock for publication: 1\",\n  \"messageCode\" : \"publication_edit_locked\",\n  \"messageAttrs\" : {\n    \"publicationId\" : 1,\n    \"username\" : \"<user id>\"\n  }\n}"}}}}}}},"delete":{"tags":["publication-v-2-controller"],"operationId":"releaseEditLock_1","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Failed to acquire edit lock for publication: 1":{"summary":"Failed to acquire edit lock for publication: 1","value":"{\n  \"message\" : \"Failed to acquire edit lock for publication: 1\",\n  \"messageCode\" : \"publication_edit_locked\",\n  \"messageAttrs\" : {\n    \"publicationId\" : 1,\n    \"username\" : \"<user id>\"\n  }\n}"}}}}}}}},"/v2/publications/{publicationId}":{"put":{"tags":["publication-v-2-controller"],"operationId":"updatePublication","parameters":[{"name":"assignedRoleId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"validatePerson","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isAllowEditPublication","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Author cannot be co-first and co-last at the same time":{"summary":"Author cannot be co-first and co-last at the same time","value":"{\n  \"message\" : \"Author cannot be co-first and co-last at the same time\",\n  \"messageCode\" : \"illegal_co_first_and_co_last\",\n  \"messageAttrs\" : {\n    \"authorPosition\" : 1,\n    \"author\" : \"<author name>\"\n  }\n}"},"Publication stakeholder cannot be unibas author at the same time":{"summary":"Publication stakeholder cannot be unibas author at the same time","value":"{\n  \"message\" : \"Publication stakeholder cannot be unibas author at the same time\",\n  \"messageCode\" : \"publication_stakeholder_cannot_be_unibas_author_at_the_same_time\",\n  \"messageAttrs\" : { }\n}"},"University effort category does not belong to Publication Module":{"summary":"University effort category does not belong to Publication Module","value":"{\n  \"message\" : \"University effort category does not belong to Publication Module\",\n  \"messageCode\" : \"university_effort_category_does_not_belong_to_publication_module\",\n  \"messageAttrs\" : {\n    \"effortId\" : 1\n  }\n}"},"Effort category does not belong to Publication Module":{"summary":"Effort category does not belong to Publication Module","value":"{\n  \"message\" : \"Effort category does not belong to Publication Module\",\n  \"messageCode\" : \"effort_category_does_not_belong_to_publication_module\",\n  \"messageAttrs\" : {\n    \"effortId\" : 1\n  }\n}"},"Cannot recognize language code <language code> ":{"summary":"Cannot recognize language code <language code> ","value":"{\n  \"message\" : \"Cannot recognize language code <language code> \",\n  \"messageCode\" : \"wrong_language_code\",\n  \"messageAttrs\" : {\n    \"languages\" : \"<language code>\"\n  }\n}"},"Failed to acquire edit lock for publication: 1":{"summary":"Failed to acquire edit lock for publication: 1","value":"{\n  \"message\" : \"Failed to acquire edit lock for publication: 1\",\n  \"messageCode\" : \"publication_edit_locked\",\n  \"messageAttrs\" : {\n    \"publicationId\" : 1,\n    \"username\" : \"<user id>\"\n  }\n}"},"Thesis publication can be saved with 'Primary Advisor' stakeholder provided only.":{"summary":"Thesis publication can be saved with 'Primary Advisor' stakeholder provided only.","value":"{\n  \"message\" : \"Thesis publication can be saved with 'Primary Advisor' stakeholder provided only.\",\n  \"messageCode\" : \"primary_advisor_is_not_provided\",\n  \"messageAttrs\" : { }\n}"}}}}}}}},"/v2/publications/{publicationId}/update/by/{personId}":{"put":{"tags":["publication-v-2-controller"],"operationId":"updatePublication_1","parameters":[{"name":"assignedRoleId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"validatePerson","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isAllowEditPublication","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Author cannot be co-first and co-last at the same time":{"summary":"Author cannot be co-first and co-last at the same time","value":"{\n  \"message\" : \"Author cannot be co-first and co-last at the same time\",\n  \"messageCode\" : \"illegal_co_first_and_co_last\",\n  \"messageAttrs\" : {\n    \"authorPosition\" : 1,\n    \"author\" : \"<author name>\"\n  }\n}"},"Publication stakeholder cannot be unibas author at the same time":{"summary":"Publication stakeholder cannot be unibas author at the same time","value":"{\n  \"message\" : \"Publication stakeholder cannot be unibas author at the same time\",\n  \"messageCode\" : \"publication_stakeholder_cannot_be_unibas_author_at_the_same_time\",\n  \"messageAttrs\" : { }\n}"},"University effort category does not belong to Publication Module":{"summary":"University effort category does not belong to Publication Module","value":"{\n  \"message\" : \"University effort category does not belong to Publication Module\",\n  \"messageCode\" : \"university_effort_category_does_not_belong_to_publication_module\",\n  \"messageAttrs\" : {\n    \"effortId\" : 1\n  }\n}"},"Effort category does not belong to Publication Module":{"summary":"Effort category does not belong to Publication Module","value":"{\n  \"message\" : \"Effort category does not belong to Publication Module\",\n  \"messageCode\" : \"effort_category_does_not_belong_to_publication_module\",\n  \"messageAttrs\" : {\n    \"effortId\" : 1\n  }\n}"},"Cannot recognize language code <language code> ":{"summary":"Cannot recognize language code <language code> ","value":"{\n  \"message\" : \"Cannot recognize language code <language code> \",\n  \"messageCode\" : \"wrong_language_code\",\n  \"messageAttrs\" : {\n    \"languages\" : \"<language code>\"\n  }\n}"},"Failed to acquire edit lock for publication: 1":{"summary":"Failed to acquire edit lock for publication: 1","value":"{\n  \"message\" : \"Failed to acquire edit lock for publication: 1\",\n  \"messageCode\" : \"publication_edit_locked\",\n  \"messageAttrs\" : {\n    \"publicationId\" : 1,\n    \"username\" : \"<user id>\"\n  }\n}"},"Thesis publication can be saved with 'Primary Advisor' stakeholder provided only.":{"summary":"Thesis publication can be saved with 'Primary Advisor' stakeholder provided only.","value":"{\n  \"message\" : \"Thesis publication can be saved with 'Primary Advisor' stakeholder provided only.\",\n  \"messageCode\" : \"primary_advisor_is_not_provided\",\n  \"messageAttrs\" : { }\n}"}}}}}}}},"/v2/book/{publicationId}/update/by/{personId}":{"put":{"tags":["publication-v-2-controller"],"operationId":"updatePublication_2","parameters":[{"name":"assignedRoleId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"validatePerson","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isAllowEditPublication","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Author cannot be co-first and co-last at the same time":{"summary":"Author cannot be co-first and co-last at the same time","value":"{\n  \"message\" : \"Author cannot be co-first and co-last at the same time\",\n  \"messageCode\" : \"illegal_co_first_and_co_last\",\n  \"messageAttrs\" : {\n    \"authorPosition\" : 1,\n    \"author\" : \"<author name>\"\n  }\n}"},"Publication stakeholder cannot be unibas author at the same time":{"summary":"Publication stakeholder cannot be unibas author at the same time","value":"{\n  \"message\" : \"Publication stakeholder cannot be unibas author at the same time\",\n  \"messageCode\" : \"publication_stakeholder_cannot_be_unibas_author_at_the_same_time\",\n  \"messageAttrs\" : { }\n}"},"University effort category does not belong to Publication Module":{"summary":"University effort category does not belong to Publication Module","value":"{\n  \"message\" : \"University effort category does not belong to Publication Module\",\n  \"messageCode\" : \"university_effort_category_does_not_belong_to_publication_module\",\n  \"messageAttrs\" : {\n    \"effortId\" : 1\n  }\n}"},"Effort category does not belong to Publication Module":{"summary":"Effort category does not belong to Publication Module","value":"{\n  \"message\" : \"Effort category does not belong to Publication Module\",\n  \"messageCode\" : \"effort_category_does_not_belong_to_publication_module\",\n  \"messageAttrs\" : {\n    \"effortId\" : 1\n  }\n}"},"Cannot recognize language code <language code> ":{"summary":"Cannot recognize language code <language code> ","value":"{\n  \"message\" : \"Cannot recognize language code <language code> \",\n  \"messageCode\" : \"wrong_language_code\",\n  \"messageAttrs\" : {\n    \"languages\" : \"<language code>\"\n  }\n}"},"Failed to acquire edit lock for publication: 1":{"summary":"Failed to acquire edit lock for publication: 1","value":"{\n  \"message\" : \"Failed to acquire edit lock for publication: 1\",\n  \"messageCode\" : \"publication_edit_locked\",\n  \"messageAttrs\" : {\n    \"publicationId\" : 1,\n    \"username\" : \"<user id>\"\n  }\n}"},"Thesis publication can be saved with 'Primary Advisor' stakeholder provided only.":{"summary":"Thesis publication can be saved with 'Primary Advisor' stakeholder provided only.","value":"{\n  \"message\" : \"Thesis publication can be saved with 'Primary Advisor' stakeholder provided only.\",\n  \"messageCode\" : \"primary_advisor_is_not_provided\",\n  \"messageAttrs\" : { }\n}"}}}}}}}},"/v2/book/{publicationId}":{"put":{"tags":["publication-v-2-controller"],"operationId":"updatePublication_3","parameters":[{"name":"assignedRoleId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"validatePerson","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isAllowEditPublication","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Author cannot be co-first and co-last at the same time":{"summary":"Author cannot be co-first and co-last at the same time","value":"{\n  \"message\" : \"Author cannot be co-first and co-last at the same time\",\n  \"messageCode\" : \"illegal_co_first_and_co_last\",\n  \"messageAttrs\" : {\n    \"authorPosition\" : 1,\n    \"author\" : \"<author name>\"\n  }\n}"},"Publication stakeholder cannot be unibas author at the same time":{"summary":"Publication stakeholder cannot be unibas author at the same time","value":"{\n  \"message\" : \"Publication stakeholder cannot be unibas author at the same time\",\n  \"messageCode\" : \"publication_stakeholder_cannot_be_unibas_author_at_the_same_time\",\n  \"messageAttrs\" : { }\n}"},"University effort category does not belong to Publication Module":{"summary":"University effort category does not belong to Publication Module","value":"{\n  \"message\" : \"University effort category does not belong to Publication Module\",\n  \"messageCode\" : \"university_effort_category_does_not_belong_to_publication_module\",\n  \"messageAttrs\" : {\n    \"effortId\" : 1\n  }\n}"},"Effort category does not belong to Publication Module":{"summary":"Effort category does not belong to Publication Module","value":"{\n  \"message\" : \"Effort category does not belong to Publication Module\",\n  \"messageCode\" : \"effort_category_does_not_belong_to_publication_module\",\n  \"messageAttrs\" : {\n    \"effortId\" : 1\n  }\n}"},"Cannot recognize language code <language code> ":{"summary":"Cannot recognize language code <language code> ","value":"{\n  \"message\" : \"Cannot recognize language code <language code> \",\n  \"messageCode\" : \"wrong_language_code\",\n  \"messageAttrs\" : {\n    \"languages\" : \"<language code>\"\n  }\n}"},"Failed to acquire edit lock for publication: 1":{"summary":"Failed to acquire edit lock for publication: 1","value":"{\n  \"message\" : \"Failed to acquire edit lock for publication: 1\",\n  \"messageCode\" : \"publication_edit_locked\",\n  \"messageAttrs\" : {\n    \"publicationId\" : 1,\n    \"username\" : \"<user id>\"\n  }\n}"},"Thesis publication can be saved with 'Primary Advisor' stakeholder provided only.":{"summary":"Thesis publication can be saved with 'Primary Advisor' stakeholder provided only.","value":"{\n  \"message\" : \"Thesis publication can be saved with 'Primary Advisor' stakeholder provided only.\",\n  \"messageCode\" : \"primary_advisor_is_not_provided\",\n  \"messageAttrs\" : { }\n}"}}}}}}}},"/v2/book/update-by-stakeholder/{publicationId}":{"put":{"tags":["publication-v-2-controller"],"operationId":"updatePublicationByStakeholder","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"personId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"validatePerson","in":"query","required":true,"schema":{"type":"boolean"}},{"name":"isAllowEditPublication","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Author cannot be co-first and co-last at the same time":{"summary":"Author cannot be co-first and co-last at the same time","value":"{\n  \"message\" : \"Author cannot be co-first and co-last at the same time\",\n  \"messageCode\" : \"illegal_co_first_and_co_last\",\n  \"messageAttrs\" : {\n    \"authorPosition\" : 1,\n    \"author\" : \"<author name>\"\n  }\n}"},"Publication stakeholder cannot be unibas author at the same time":{"summary":"Publication stakeholder cannot be unibas author at the same time","value":"{\n  \"message\" : \"Publication stakeholder cannot be unibas author at the same time\",\n  \"messageCode\" : \"publication_stakeholder_cannot_be_unibas_author_at_the_same_time\",\n  \"messageAttrs\" : { }\n}"},"University effort category does not belong to Publication Module":{"summary":"University effort category does not belong to Publication Module","value":"{\n  \"message\" : \"University effort category does not belong to Publication Module\",\n  \"messageCode\" : \"university_effort_category_does_not_belong_to_publication_module\",\n  \"messageAttrs\" : {\n    \"effortId\" : 1\n  }\n}"},"Effort category does not belong to Publication Module":{"summary":"Effort category does not belong to Publication Module","value":"{\n  \"message\" : \"Effort category does not belong to Publication Module\",\n  \"messageCode\" : \"effort_category_does_not_belong_to_publication_module\",\n  \"messageAttrs\" : {\n    \"effortId\" : 1\n  }\n}"},"Cannot recognize language code <language code> ":{"summary":"Cannot recognize language code <language code> ","value":"{\n  \"message\" : \"Cannot recognize language code <language code> \",\n  \"messageCode\" : \"wrong_language_code\",\n  \"messageAttrs\" : {\n    \"languages\" : \"<language code>\"\n  }\n}"},"Failed to acquire edit lock for publication: 1":{"summary":"Failed to acquire edit lock for publication: 1","value":"{\n  \"message\" : \"Failed to acquire edit lock for publication: 1\",\n  \"messageCode\" : \"publication_edit_locked\",\n  \"messageAttrs\" : {\n    \"publicationId\" : 1,\n    \"username\" : \"<user id>\"\n  }\n}"}}}}}}}},"/v2/publications/update-by-stakeholder/{publicationId}":{"put":{"tags":["publication-v-2-controller"],"operationId":"updatePublicationByStakeholder_1","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"personId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"validatePerson","in":"query","required":true,"schema":{"type":"boolean"}},{"name":"isAllowEditPublication","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Author cannot be co-first and co-last at the same time":{"summary":"Author cannot be co-first and co-last at the same time","value":"{\n  \"message\" : \"Author cannot be co-first and co-last at the same time\",\n  \"messageCode\" : \"illegal_co_first_and_co_last\",\n  \"messageAttrs\" : {\n    \"authorPosition\" : 1,\n    \"author\" : \"<author name>\"\n  }\n}"},"Publication stakeholder cannot be unibas author at the same time":{"summary":"Publication stakeholder cannot be unibas author at the same time","value":"{\n  \"message\" : \"Publication stakeholder cannot be unibas author at the same time\",\n  \"messageCode\" : \"publication_stakeholder_cannot_be_unibas_author_at_the_same_time\",\n  \"messageAttrs\" : { }\n}"},"University effort category does not belong to Publication Module":{"summary":"University effort category does not belong to Publication Module","value":"{\n  \"message\" : \"University effort category does not belong to Publication Module\",\n  \"messageCode\" : \"university_effort_category_does_not_belong_to_publication_module\",\n  \"messageAttrs\" : {\n    \"effortId\" : 1\n  }\n}"},"Effort category does not belong to Publication Module":{"summary":"Effort category does not belong to Publication Module","value":"{\n  \"message\" : \"Effort category does not belong to Publication Module\",\n  \"messageCode\" : \"effort_category_does_not_belong_to_publication_module\",\n  \"messageAttrs\" : {\n    \"effortId\" : 1\n  }\n}"},"Cannot recognize language code <language code> ":{"summary":"Cannot recognize language code <language code> ","value":"{\n  \"message\" : \"Cannot recognize language code <language code> \",\n  \"messageCode\" : \"wrong_language_code\",\n  \"messageAttrs\" : {\n    \"languages\" : \"<language code>\"\n  }\n}"},"Failed to acquire edit lock for publication: 1":{"summary":"Failed to acquire edit lock for publication: 1","value":"{\n  \"message\" : \"Failed to acquire edit lock for publication: 1\",\n  \"messageCode\" : \"publication_edit_locked\",\n  \"messageAttrs\" : {\n    \"publicationId\" : 1,\n    \"username\" : \"<user id>\"\n  }\n}"}}}}}}}},"/v2/publications/department/{publicationId}":{"put":{"tags":["publication-v-2-controller"],"operationId":"departmentUpdatePublication","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"assignedRoleId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"validatePerson","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isAllowEditPublication","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}}}}},"/v2/book/department/{publicationId}":{"put":{"tags":["publication-v-2-controller"],"operationId":"departmentUpdatePublication_1","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"assignedRoleId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"validatePerson","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"isAllowEditPublication","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}}}}},"/v2/book/change/status":{"put":{"tags":["publication-v-2-controller"],"operationId":"updateStatus","parameters":[{"name":"publicationId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["COMPLETE","VERIFIED","INCOMPLETE","REMOVED"]}}],"responses":{"200":{"description":"OK"}}}},"/v2/publications/status":{"put":{"tags":["publication-v-2-controller"],"operationId":"updateStatus_1","parameters":[{"name":"publicationId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["COMPLETE","VERIFIED","INCOMPLETE","REMOVED"]}}],"responses":{"200":{"description":"OK"}}}},"/v2/book/status":{"put":{"tags":["publication-v-2-controller"],"operationId":"updateStatus_2","parameters":[{"name":"publicationId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["COMPLETE","VERIFIED","INCOMPLETE","REMOVED"]}}],"responses":{"200":{"description":"OK"}}}},"/v2/publications/change/status":{"put":{"tags":["publication-v-2-controller"],"operationId":"updateStatus_3","parameters":[{"name":"publicationId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"query","required":true,"schema":{"type":"string","enum":["COMPLETE","VERIFIED","INCOMPLETE","REMOVED"]}}],"responses":{"200":{"description":"OK"}}}},"/v2/book/document":{"put":{"tags":["publication-document-controller"],"operationId":"updateDocuments","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicationDocumentUpdateRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicationDocumentResponse"}}}}}}}},"/v2/book/document/admin":{"put":{"tags":["publication-document-controller"],"operationId":"updateAdminDocuments","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicationDocumentAdminUpdateRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicationDocumentResponse"}}}}}}}},"/user-reviewer/str-roles/{unAppPersonId}":{"put":{"tags":["user-management-controller"],"operationId":"updateUnapprovedPersonRoles","parameters":[{"name":"unAppPersonId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UnapprovedPersonStrRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UnapprovedPersonStrDetailsResponse"}}}}}}},"/user-reviewer/str-roles-approved-person/{personId}":{"put":{"tags":["user-management-controller"],"operationId":"updatePersonRoles","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UnapprovedPersonStrRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SelfEditStrActivityResponse"}}}}}}},"/user-reviewer/person-details/{unAppPersonId}":{"put":{"tags":["user-management-controller"],"operationId":"updateUnapprovedPersonDetails","parameters":[{"name":"unAppPersonId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"correspondenceAddressId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"contactAddressId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnApprPersonDetailsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersonDetailsResponse"}}}}}}},"/user-reviewer/idm-attributes/{unAppPersonId}":{"put":{"tags":["user-management-controller"],"operationId":"updateUnapprovedIdmAttributes","parameters":[{"name":"unAppPersonId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"unicardImage":{"type":"string","format":"binary"},"request":{"$ref":"#/components/schemas/IdmAttributesRequest"}},"required":["request","unicardImage"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersonDetailsResponse"}}}}}}},"/user-reviewer/discard-person/{unAppPersonId}":{"put":{"tags":["user-management-controller"],"operationId":"discardPerson","parameters":[{"name":"unAppPersonId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/user-reviewer/discard-edit-request/{personId}":{"put":{"tags":["user-management-controller"],"operationId":"discardEditRequest","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/user-reviewer/delegate-review":{"put":{"tags":["user-management-controller"],"operationId":"delegateReview","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DelegateReviewRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/user-reviewer/delegate-edit-request-review":{"put":{"tags":["user-management-controller"],"operationId":"delegateEditRequestReview","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DelegateEditRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/user-reviewer/approved-person-idm-attributes/{personId}":{"put":{"tags":["user-management-controller"],"operationId":"updateApprovedIdmAttributes","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"unicardImage":{"type":"string","format":"binary"},"request":{"$ref":"#/components/schemas/IdmAttributesRequest"}},"required":["request","unicardImage"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SelfEditPersonDetailsActivityResponse"}}}}}}},"/user-reviewer/approved-person-details/{personId}":{"put":{"tags":["user-management-controller"],"operationId":"updateApprovedPersonDetails","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"correspondenceAddressId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"contactAddressId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SelfEditPersonRequestBase"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SelfEditPersonDetailsActivityResponse"}}}}}}},"/user-reviewer/approved-person-credentials/{personId}":{"put":{"tags":["user-management-controller"],"operationId":"updatePersonCredentials","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCredentialsDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SelfEditPersonDetailsCredentialsResponse"}}}}}}},"/user-reviewer/approve-person/{unAppPersonId}":{"put":{"tags":["user-management-controller"],"operationId":"approvePerson","parameters":[{"name":"unAppPersonId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersonActivityDetailsResponse"}}}}}}},"/user-reviewer/approve-edit-request/{personId}":{"put":{"tags":["user-management-controller"],"operationId":"approveEditRequest","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersonActivityDetailsResponse"}}}}}}},"/user-activity/unapproved/employee-category/{unapprovedPersonId}":{"put":{"tags":["user-activity-controller"],"operationId":"setUnapprovedEmployeeCategory","parameters":[{"name":"unapprovedPersonId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"employeeCategoryName","in":"query","required":true,"schema":{"type":"string","enum":["ASSOCIATE_GUEST_RESEARCH","ASSOCIATE_GUEST_TEACHING","ASSOCIATE_GUEST_RESEARCH_TEACHING","ASSOCIATE_GUEST_ADMINISTRATION","ASSOCIATE_GUEST_DOCTORATE","ASSOCIATE_GUEST_SCIENTIFIC_ASSISTANT"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmployeeCategoryResponse"}}}}}}},"/user-activity/approved/employee-category/{personId}":{"put":{"tags":["user-activity-controller"],"operationId":"setApprovedEmployeeCategory","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"employeeCategoryName","in":"query","required":true,"schema":{"type":"string","enum":["ASSOCIATE_GUEST_RESEARCH","ASSOCIATE_GUEST_TEACHING","ASSOCIATE_GUEST_RESEARCH_TEACHING","ASSOCIATE_GUEST_ADMINISTRATION","ASSOCIATE_GUEST_DOCTORATE","ASSOCIATE_GUEST_SCIENTIFIC_ASSISTANT"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserScientificActivityStatusDto"}}}}}}},"/university-effort-category/{effortId}":{"get":{"tags":["university-effort-category-controller"],"operationId":"getEffortCategory","parameters":[{"name":"effortId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UniversityCategoryShortResponse"}}}}}},"put":{"tags":["university-effort-category-controller"],"operationId":"updateCategory","parameters":[{"name":"effortId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UniversityEffortCategoryUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UniversityEffortCategoryResponse"}}}}}},"delete":{"tags":["university-effort-category-controller"],"operationId":"deleteEffortCategory","parameters":[{"name":"effortId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeleteObjectResponse"}}}}}}},"/university-effort-category/{effortId}/sql-statement-secondary":{"put":{"tags":["university-effort-category-controller"],"operationId":"updateSecondarySqlStatement","parameters":[{"name":"effortId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EffortSqlStatementRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UniversityEffortCategoryResponse"}}}}}}},"/university-effort-category/{effortId}/sql-statement-primary":{"put":{"tags":["university-effort-category-controller"],"operationId":"updatePrimarySqlStatement","parameters":[{"name":"effortId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EffortSqlStatementRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UniversityEffortCategoryResponse"}}}}}}},"/university-effort-category/{effortId}/role-attachment":{"put":{"tags":["university-effort-category-controller"],"operationId":"updateCategoryRoleAttachment","parameters":[{"name":"effortId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UniversityEffortCategoryResponse"}}}}}}},"/university-effort-category/{effortId}/linked-attachment":{"put":{"tags":["university-effort-category-controller"],"operationId":"updateCategoryAttachment","parameters":[{"name":"effortId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EffortMetaAttachmentRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UniversityEffortCategoryResponse"}}}}}}},"/university-effort-category/{effortId}/description":{"put":{"tags":["university-effort-category-controller"],"operationId":"updateCategoryDescription","parameters":[{"name":"effortId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UniversityEffortDescrRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UniversityEffortCategoryResponse"}}}}}}},"/subscriber/my-credentials":{"put":{"tags":["subscriber-controller"],"operationId":"updateOwnCredentials","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OwnUserCredentialsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserCredentialsResponse"}}}}}}},"/study-year/{studyYearId}":{"get":{"tags":["study-year-controller"],"operationId":"getStudyYearById","parameters":[{"name":"studyYearId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StudyYearResponse"}}}}}},"put":{"tags":["study-year-controller"],"operationId":"updateStudyYearById","parameters":[{"name":"studyYearId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyYearRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StudyYearResponse"}}}}}},"delete":{"tags":["study-year-controller"],"operationId":"deleteStudyYearById","parameters":[{"name":"studyYearId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeleteObjectResponse"}}}}}}},"/study-year/set-is-online-for-category/{studyYearId}/{effortCategoryId}":{"put":{"tags":["study-year-controller"],"operationId":"setIsOnlineForCategory","parameters":[{"name":"studyYearId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"effortCategoryId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/study-direction/{studyDirectionId}":{"get":{"tags":["study-direction-controller"],"operationId":"getStudyDirectionById","parameters":[{"name":"studyDirectionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StudyDirectionWizardResponse"}}}}}},"put":{"tags":["study-direction-controller"],"operationId":"editStudyDirection","parameters":[{"name":"studyDirectionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudyDirectionWizardRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StudyDirectionWizardResponse"}}}}}}},"/student/{studentId}/{studyYearId}":{"put":{"tags":["student-controller"],"operationId":"updateStudentDetails","parameters":[{"name":"studentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"studyYearId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudentDetailRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StudentDetailResponse"}}}}}}},"/student/credentials/{studentId}/{studyYearId}":{"put":{"tags":["student-controller"],"operationId":"updateStudentCredentials","parameters":[{"name":"studentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"studyYearId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCredentialsDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserCredentialsResponse"}}}}}}},"/structure-role/{structureRoleId}/person/user-credentials":{"put":{"tags":["structure-role-person-controller"],"operationId":"updateUserCredential","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCredentialsDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserCredentialsResponse"}}}}}}},"/structure-role/{structureRoleId}/person/role-details":{"put":{"tags":["structure-role-person-controller"],"operationId":"updatePersonRoleDetails","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonRoleDetailsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersonRoleDetailsResponse"}}}}}}},"/structure-role/{structureRoleId}/person/private-address":{"put":{"tags":["structure-role-person-controller"],"operationId":"updatePrivateAddress","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AddressResponse"}}}}}}},"/structure-role/{structureRoleId}/person/person-name":{"put":{"tags":["structure-role-person-controller"],"operationId":"updatePersonName","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonNameRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersonNameResponse"}}}}}}},"/structure-role/{structureRoleId}/person/person-details":{"put":{"tags":["structure-role-person-controller"],"operationId":"updatePersonDetails","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonDetailsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersonDetailsResponse"}}}}}}},"/structure-role/{structureRoleId}/person/person-description":{"put":{"tags":["structure-role-person-controller"],"operationId":"updatePersonDescription","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/structure-role/{structureRoleId}/person/correspondence-address/{correspondenceAddressId}":{"put":{"tags":["structure-role-person-controller"],"operationId":"updateCorrespondenceAddress","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"correspondenceAddressId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AddressResponse"}}}}}}},"/structure-role/{structureRoleId}/person/contact-address/{contactAddressId}":{"put":{"tags":["structure-role-person-controller"],"operationId":"updateContactAddress","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"contactAddressId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AddressResponse"}}}}}}},"/structure-role/{structureRoleId}/person/business-description":{"put":{"tags":["structure-role-person-controller"],"operationId":"updateRoleBusinessDescription","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/structure-role/{structureRoleId}/person/business-address":{"put":{"tags":["structure-role-person-controller"],"operationId":"updateBusinessAddress","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AddressResponse"}}}}}}},"/structure-role/{structureRoleId}/organizational-unit/role-details":{"put":{"tags":["structure-role-org-unit-controller"],"operationId":"updateRoleDetails","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrgUnitRoleDetailsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrgUnitRoleDetailsResponse"}}}}}}},"/structure-role/{structureRoleId}/organizational-unit/linking-details":{"put":{"tags":["structure-role-org-unit-controller"],"operationId":"updateLinkingDetails","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrgUnitLinkingDetailsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrgUnitLinkingDetailsResponse"}}}}}}},"/structure-role/{structureRoleId}/organizational-unit/details":{"put":{"tags":["structure-role-org-unit-controller"],"operationId":"updateOrgUnitDetails","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrgUnitDetailsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrgUnitDetailsResponse"}}}}}}},"/structure-role/{structureRoleId}/organizational-unit/description":{"put":{"tags":["structure-role-org-unit-controller"],"operationId":"updateDescription","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/structure-role/{structureRoleId}/organizational-unit/business-address":{"put":{"tags":["structure-role-org-unit-controller"],"operationId":"updateBusinessAddress_1","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AddressResponse"}}}}}}},"/structure-role/{structureRoleId}/link-organizational-unit":{"get":{"tags":["structure-role-link-controller"],"operationId":"getLinkOrganizationalUnit","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StructureRoleLinkOrgUnitResponse"}}}}}},"put":{"tags":["structure-role-link-controller"],"operationId":"updateLinkOrganizationalUnit","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StructureRoleLinkOrgUnitRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StructureRoleLinkOrgUnitResponse"}}}}}},"delete":{"tags":["structure-role-link-controller"],"operationId":"deleteLinkOrganizationalUnit","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeleteObjectResponse"}}}}}}},"/structure-role/{structureRoleId}/idm-mapping":{"put":{"tags":["structure-role-org-unit-controller"],"operationId":"addStructureRolesMapping","parameters":[{"name":"structureRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"mappedStructureRoleIds","in":"query","required":true,"schema":{"type":"array","items":{"type":"integer","format":"int64"},"uniqueItems":true}},{"name":"idmMappingType","in":"query","required":true,"schema":{"type":"string","enum":["IMPORT","EXPORT"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StructureRoleOrgUnitResponse"}}}}}}},"/structure-role/person/{personStrRoleId}/update-admin-rights":{"put":{"tags":["structure-role-person-controller"],"operationId":"updateAdminRight","parameters":[{"name":"personStrRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdminStateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StructureRolePersonResponse"}}}}}}},"/structure-role/person/{personStrRoleId}/short":{"put":{"tags":["structure-role-person-controller"],"operationId":"updatePersonShort","parameters":[{"name":"personStrRoleId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StrRolePersonShortUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StructureRolePersonResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"There is no email for person with ID: 1":{"summary":"There is no email for person with ID: 1","value":"{\n  \"message\" : \"There is no email for person with ID: 1\",\n  \"messageCode\" : \"subscriber_email_absent\",\n  \"messageAttrs\" : {\n    \"personId\" : 1\n  }\n}"}}}}}}}},"/semester/{semesterId}":{"put":{"tags":["semester-controller"],"operationId":"editSemester","parameters":[{"name":"semesterId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SemesterWizardRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SemesterWizardResponse"}}}}}},"delete":{"tags":["semester-controller"],"operationId":"deleteSemester","parameters":[{"name":"semesterId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeleteObjectResponse"}}}}}}},"/self-service/str-roles/{personId}":{"put":{"tags":["self-person-edit-controller"],"operationId":"updateApprovedPersonRoles","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"reviewerIds","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"},"uniqueItems":true}},{"name":"correspondenceAddressId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"contactAddressId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UnapprovedPersonStrRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SelfEditStrResponse"}}}}}}},"/self-service/person-details/{personId}":{"get":{"tags":["self-person-edit-controller"],"operationId":"getPersonDetails","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SelfEditPersonCredentialsResponse"}}}}}},"put":{"tags":["self-person-edit-controller"],"operationId":"updateApprovedPersonDetails_1","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SelfEditPersonDetailsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SelfEditPersonDetailsResponse"}}}}}}},"/self-service/idm-attributes/{personId}":{"put":{"tags":["self-person-edit-controller"],"operationId":"updateApprovedIdmAttributes_1","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"profileImage":{"type":"string","format":"binary"},"unicardImage":{"type":"string","format":"binary"},"request":{"$ref":"#/components/schemas/IdmAttributesRequest"}},"required":["profileImage","request","unicardImage"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SelfEditIdmAttributesResponse"}}}}}}},"/section/{sectionId}":{"get":{"tags":["meta-section-controller"],"operationId":"findOne","parameters":[{"name":"sectionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MetaSectionResponse"}}}}}},"put":{"tags":["meta-section-controller"],"operationId":"updateSection","parameters":[{"name":"sectionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaSectionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MetaSectionResponse"}}}}}},"delete":{"tags":["meta-section-controller"],"operationId":"deleteSection","parameters":[{"name":"sectionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeleteObjectResponse"}}}}}}},"/section/{attachmentId}/drag":{"put":{"tags":["meta-section-controller"],"operationId":"dragAndDrop","parameters":[{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MetaSectionRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseMetaSectionResponse"}}}}}}},"/scheduler-job/students":{"get":{"tags":["student-scheduled-job-controller"],"operationId":"getStudentsSchedulerJobSettings","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ScheduledJobResponse"}}}}}},"put":{"tags":["student-scheduled-job-controller"],"operationId":"updateStudentsSchedulerJobSettings","parameters":[{"name":"runScheduledJob","in":"query","required":true,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduledJobPutRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ScheduledJobResponse"}}}}}},"post":{"tags":["student-scheduled-job-controller"],"operationId":"createStudentsSchedulerJobSettings","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduledJobRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ScheduledJobResponse"}}}}}}},"/resource/set-to-online/{semesterId}":{"put":{"tags":["resource-controller"],"operationId":"updateIsOnlineStatus","parameters":[{"name":"semesterId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/resource/room/{roomId}":{"get":{"tags":["resource-controller"],"operationId":"getRoomById","parameters":[{"name":"roomId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RoomResponse"}}}}}},"put":{"tags":["resource-controller"],"operationId":"updateRoom","parameters":[{"name":"roomId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoomRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RoomResponse"}}}}}},"delete":{"tags":["resource-controller"],"operationId":"deleteRoom","parameters":[{"name":"roomId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeleteObjectResponse"}}}}}}},"/resource/building/{buildingId}":{"get":{"tags":["resource-controller"],"operationId":"getBuildingById","parameters":[{"name":"buildingId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BuildingResponse"}}}}}},"put":{"tags":["resource-controller"],"operationId":"updateBuilding","parameters":[{"name":"buildingId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuildingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BuildingResponse"}}}}}},"delete":{"tags":["resource-controller"],"operationId":"deleteBuilding","parameters":[{"name":"buildingId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeleteObjectResponse"}}}}}}},"/research-unit/research-interests":{"put":{"tags":["research-unit-controller"],"operationId":"setResearchUnitResearchInterests","parameters":[{"name":"researchUnitId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"personId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResearchInterestRequest"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResearchUnitInfoResponse"}}}}}}},"/research-unit/publish":{"put":{"tags":["research-unit-controller"],"operationId":"publishResearchUnit","parameters":[{"name":"researchUnitId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"personId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"isPublish","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResearchUnitInfoResponse"}}}}}}},"/research-unit/public-name":{"put":{"tags":["research-unit-controller"],"operationId":"setResearchUnitPublicName","parameters":[{"name":"researchUnitId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"personId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"publicNameEn","in":"query","required":false,"schema":{"type":"string","maxLength":400,"minLength":0}},{"name":"publicNameDe","in":"query","required":false,"schema":{"type":"string","maxLength":400,"minLength":0}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResearchUnitInfoResponse"}}}}}}},"/research-unit/link":{"put":{"tags":["research-unit-controller"],"operationId":"setResearchUnitLinkToPublicWebsite","parameters":[{"name":"researchUnitId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"personId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"linkToPublicWebsite","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResearchUnitInfoResponse"}}}}}}},"/research-unit/former-members/visibility-private":{"put":{"tags":["research-unit-controller"],"operationId":"setFormerMembersVisibilityToPrivate","parameters":[{"name":"researchUnitId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"personId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"isVisibilityPrivate","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResearchUnitInfoResponse"}}}}}}},"/research-unit/custom-projects-tab/rename":{"put":{"tags":["research-unit-controller"],"operationId":"renameCustomProjectTab","parameters":[{"name":"researchUnitId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"personId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomTabNamesRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomProjectTabNameResponse"}}}}}}},"/research-unit/custom-projects-tab/add":{"put":{"tags":["research-unit-controller"],"operationId":"addProjectInCustomProjectList","parameters":[{"name":"researchUnitId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"personId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseMyProjectMyProfileResponse"}}}}}}},"/report/professor-overview/cross-list/roles/{id}":{"put":{"tags":["report-professor-overview-controller"],"operationId":"updateStructureRoleCrossList","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfessorOverviewStructureRoleUpdateRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/report/professor-overview/alphabetic/roles/{id}":{"put":{"tags":["report-professor-overview-controller"],"operationId":"updateStructureRoleAlphabetic","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfessorOverviewStructureRoleUpdateRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/recipient":{"put":{"tags":["recipient-controller"],"operationId":"updateRecipientEmails","parameters":[{"name":"recipientIds","in":"query","required":true,"schema":{"type":"array","items":{"type":"integer","format":"int64"},"uniqueItems":true}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseRecipientResponse"}}}}}},"post":{"tags":["recipient-controller"],"operationId":"createRecipients","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecipientRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RecipientCreationResponse"}}}}}}},"/public/v2/publication/{publicationId}/visibility":{"put":{"tags":["public-publication-v-2-controller"],"operationId":"updatePublicationVisibility_2","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"isVisible","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationVisibilityResponse"}}}}},"security":[]}},"/public/v2/book/{publicationId}/visibility":{"put":{"tags":["public-publication-v-2-controller"],"operationId":"updatePublicationVisibility_3","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"isVisible","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationVisibilityResponse"}}}}},"security":[]}},"/public/v2/book/{publicationId}/update/by/person":{"put":{"tags":["public-publication-v-2-controller"],"operationId":"updatePublication_4","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"isAllowEditPublication","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}}},"security":[]}},"/public/v2/book/{publicationId}":{"put":{"tags":["public-publication-v-2-controller"],"operationId":"updatePublication_5","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"isAllowEditPublication","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}}},"security":[]},"delete":{"tags":["public-publication-v-2-controller"],"operationId":"deletePublication","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"},"403":{"description":"Forbidden","content":{"*/*":{"examples":{"User does not have enough permissions":{"summary":"User does not have enough permissions","value":"{\n  \"message\" : \"User does not have enough permissions\",\n  \"messageCode\" : \"no_permissions\",\n  \"messageAttrs\" : { }\n}"}}}}}},"security":[]}},"/public/v2/publication/{publicationId}/update/by/person":{"put":{"tags":["public-publication-v-2-controller"],"operationId":"updatePublication_6","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"isAllowEditPublication","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}}},"security":[]}},"/public/v2/publication/{publicationId}":{"put":{"tags":["public-publication-v-2-controller"],"operationId":"updatePublication_7","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"isAllowEditPublication","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}}},"security":[]},"delete":{"tags":["public-publication-v-2-controller"],"operationId":"deletePublication_1","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"},"403":{"description":"Forbidden","content":{"*/*":{"examples":{"User does not have enough permissions":{"summary":"User does not have enough permissions","value":"{\n  \"message\" : \"User does not have enough permissions\",\n  \"messageCode\" : \"no_permissions\",\n  \"messageAttrs\" : { }\n}"}}}}}},"security":[]}},"/public/v2/book/{publicationId}/edit-lock":{"get":{"tags":["public-publication-v-2-controller"],"operationId":"getPublicationEditLock_2","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationEditLockResponse"}}}}},"security":[]},"put":{"tags":["public-publication-v-2-controller"],"operationId":"acquireEditLock_2","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationEditLockResponse"}}}}},"security":[]},"delete":{"tags":["public-publication-v-2-controller"],"operationId":"releaseEditLock_2","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[]}},"/public/v2/publication/{publicationId}/edit-lock":{"get":{"tags":["public-publication-v-2-controller"],"operationId":"getPublicationEditLock_3","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationEditLockResponse"}}}}},"security":[]},"put":{"tags":["public-publication-v-2-controller"],"operationId":"acquireEditLock_3","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationEditLockResponse"}}}}},"security":[]},"delete":{"tags":["public-publication-v-2-controller"],"operationId":"releaseEditLock_3","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}},"security":[]}},"/public/v2/publication/update-by-stakeholder/{publicationId}":{"put":{"tags":["public-publication-v-2-controller"],"operationId":"updatePublicationByStakeholder_2","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}}},"security":[]}},"/public/v2/book/update-by-stakeholder/{publicationId}":{"put":{"tags":["public-publication-v-2-controller"],"operationId":"updatePublicationByStakeholder_3","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"publicationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationV2Request"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationAttributeValuesV2Response"}}}}},"security":[]}},"/public/v2/book/document":{"put":{"tags":["public-publication-document-controller"],"operationId":"updateDocuments_1","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicationDocumentUpdateRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicationDocumentResponse"}}}}}},"security":[]}},"/public/unapproved-person/{uuid}":{"get":{"tags":["public-registration-controller"],"operationId":"getUnapprovedPerson","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UnapprovedPersonResponse"}}}}},"security":[]},"put":{"tags":["public-registration-controller"],"operationId":"updateUnapprovedPersonDetails_1","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnapprovedPersonRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UnapprovedPersonResponse"}}}}},"security":[]}},"/public/submit-unapproved-person/{uuid}":{"put":{"tags":["public-registration-controller"],"operationId":"submitUnapprovedPerson","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"wizardLanguage","in":"query","required":true,"schema":{"type":"string","enum":["EN","DE"]}},{"name":"correspondenceAddressId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"contactAddressId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnapprovedPersonSubmitRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataResponseEmailShortDto"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Can't proceed without consent agreement":{"summary":"Can't proceed without consent agreement","value":"{\n  \"message\" : \"Can't proceed without consent agreement\",\n  \"messageCode\" : \"no_consent\",\n  \"messageAttrs\" : {\n    \"value\" : \"consentAgreement\"\n  }\n}"},"Reason for registration can't be empty":{"summary":"Reason for registration can't be empty","value":"{\n  \"message\" : \"Reason for registration can't be empty\",\n  \"messageCode\" : \"no_registration_reason\",\n  \"messageAttrs\" : {\n    \"value\" : \"reasonForRegistration\"\n  }\n}"}}}}}},"security":[]}},"/public/str-roles/{uuid}/{wizardStep}":{"put":{"tags":["public-registration-controller"],"operationId":"updateUnapprovedPersonRoles_1","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"wizardStep","in":"path","required":true,"schema":{"type":"string","enum":["PRELIMINARY_STEP","PROFILE_STEP","IDM_ATTRIBUTES_STEP","UNIVERSITY_GROUP_STEP","RESEARCH_STEP","TEACHING_STEP","INSTITUTION_STEP","REVIEWERS_STEP","SUMMARY_STEP"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnapprovedPersonStrRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UnapprovedPersonResponse"}}}}},"security":[]}},"/public/phd/grading/student/{phdStudentId}/supervisor/{uuid}/submit":{"put":{"tags":["public-phd-grading-process-controller"],"operationId":"submitPhdApplicationData","parameters":[{"name":"phdStudentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"phdApplicationType","in":"query","required":true,"schema":{"type":"string","enum":["COVER_PAGE","PHD_AGREEMENT_0","RESEARCH_PROPOSAL","PHD_AGREEMENT_1","MIDTERM_REPORT","PHD_AGREEMENT_2","PHD_AGREEMENT_3","PHD_AGREEMENT_4","PHD_AGREEMENT_5","PHD_AGREEMENT_6","PHD_AGREEMENT_7","PHD_AGREEMENT_8","PHD_AGREEMENT_9","PHD_AGREEMENT_10","EXTERNAL_EXPERT_REQUEST","APPLICATION_FOR_GRADUATION","FIRST_SUPERVISOR_REVIEW","SECOND_SUPERVISOR_REVIEW","EXTERNAL_EXPERT_REVIEW","ADDITIONAL_REVIEWER_REQUEST","ADDITIONAL_REVIEWER_REVIEW","DOCTORAL_EXAMINATION_ADMISSION","DOCTORAL_EXAMINATION","FINAL_PHD_DEGREE"]}},{"name":"isSubmittedForBoth","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PhdApplicationResponse"}}}}}}},"/public/phd/grading/student/{phdStudentId}/supervisor/{uuid}/grade":{"put":{"tags":["public-phd-grading-process-controller"],"operationId":"gradeThesis","parameters":[{"name":"phdStudentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"applicationType","in":"query","required":true,"schema":{"type":"string","enum":["COVER_PAGE","PHD_AGREEMENT_0","RESEARCH_PROPOSAL","PHD_AGREEMENT_1","MIDTERM_REPORT","PHD_AGREEMENT_2","PHD_AGREEMENT_3","PHD_AGREEMENT_4","PHD_AGREEMENT_5","PHD_AGREEMENT_6","PHD_AGREEMENT_7","PHD_AGREEMENT_8","PHD_AGREEMENT_9","PHD_AGREEMENT_10","EXTERNAL_EXPERT_REQUEST","APPLICATION_FOR_GRADUATION","FIRST_SUPERVISOR_REVIEW","SECOND_SUPERVISOR_REVIEW","EXTERNAL_EXPERT_REVIEW","ADDITIONAL_REVIEWER_REQUEST","ADDITIONAL_REVIEWER_REVIEW","DOCTORAL_EXAMINATION_ADMISSION","DOCTORAL_EXAMINATION","FINAL_PHD_DEGREE"]}},{"name":"grade","in":"query","required":true,"schema":{"type":"string","enum":["EXCELLENT","VERY_GOOD","GOOD","SATISFACTORY","SUFFICIENT","INSUFFICIENT_3_5","INSUFFICIENT_3_0","INSUFFICIENT_2_5","INSUFFICIENT_2_0","INSUFFICIENT_1_5","INSUFFICIENT_1_0"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PhdApplicationResponse"}}}}}}},"/public/phd/grading/student/{phdStudentId}/supervisor/{uuid}/document/validate-pdf":{"put":{"tags":["public-phd-grading-process-controller"],"operationId":"validateFilePdfaFormat","parameters":[{"name":"phdStudentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"applicationType","in":"query","required":true,"schema":{"type":"string","enum":["COVER_PAGE","PHD_AGREEMENT_0","RESEARCH_PROPOSAL","PHD_AGREEMENT_1","MIDTERM_REPORT","PHD_AGREEMENT_2","PHD_AGREEMENT_3","PHD_AGREEMENT_4","PHD_AGREEMENT_5","PHD_AGREEMENT_6","PHD_AGREEMENT_7","PHD_AGREEMENT_8","PHD_AGREEMENT_9","PHD_AGREEMENT_10","EXTERNAL_EXPERT_REQUEST","APPLICATION_FOR_GRADUATION","FIRST_SUPERVISOR_REVIEW","SECOND_SUPERVISOR_REVIEW","EXTERNAL_EXPERT_REVIEW","ADDITIONAL_REVIEWER_REQUEST","ADDITIONAL_REVIEWER_REVIEW","DOCTORAL_EXAMINATION_ADMISSION","DOCTORAL_EXAMINATION","FINAL_PHD_DEGREE"]}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK"}}}},"/public/people-who-approve/{uuid}":{"put":{"tags":["public-registration-controller"],"operationId":"updateRegistrationReviewer","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReviewersRequest"}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[]}},"/public/idm-attributes/{uuid}":{"put":{"tags":["public-registration-controller"],"operationId":"updateUnapprovedIdmAttributes_1","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"profileImage":{"type":"string","format":"binary"},"unicardImage":{"type":"string","format":"binary"},"request":{"$ref":"#/components/schemas/IdmAttributesRequest"}},"required":["profileImage","request","unicardImage"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UnapprovedPersonResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Provide photo to request Unicard":{"summary":"Provide photo to request Unicard","value":"{\n  \"message\" : \"Provide photo to request Unicard\",\n  \"messageCode\" : \"unicard_photo_empty\",\n  \"messageAttrs\" : {\n    \"value\" : \"unicardPhoto\"\n  }\n}"},"Provide photo to transfer to Easyweb":{"summary":"Provide photo to transfer to Easyweb","value":"{\n  \"message\" : \"Provide photo to transfer to Easyweb\",\n  \"messageCode\" : \"profile_photo_empty\",\n  \"messageAttrs\" : {\n    \"value\" : \"profilePhoto\"\n  }\n}"},"Error writing image, cause: <cause>":{"summary":"Error writing image, cause: <cause>","value":"{\n  \"message\" : \"Error writing image, cause: <cause>\",\n  \"messageCode\" : \"failed_to_save_file\",\n  \"messageAttrs\" : {\n    \"path\" : \"<path>\",\n    \"type\" : \"PROFILE_PHOTO\"\n  }\n}"},"Image size too large. Max size: 1MB":{"summary":"Image size too large. Max size: 1MB","value":"{\n  \"message\" : \"Image size too large. Max size: 1MB\",\n  \"messageCode\" : \"file_too_large\",\n  \"messageAttrs\" : {\n    \"path\" : \"<path>\",\n    \"type\" : \"PROFILE_PHOTO\"\n  }\n}"},"Image name is too long. Max length: 1 symbols.":{"summary":"Image name is too long. Max length: 1 symbols.","value":"{\n  \"message\" : \"Image name is too long. Max length: 1 symbols.\",\n  \"messageCode\" : \"file_name_too_large\",\n  \"messageAttrs\" : {\n    \"imageName\" : \"<image name>\",\n    \"type\" : \"PROFILE_PHOTO\"\n  }\n}"},"Unsupported format of image. Supported formats: []":{"summary":"Unsupported format of image. Supported formats: []","value":"{\n  \"message\" : \"Unsupported format of image. Supported formats: []\",\n  \"messageCode\" : \"image_unsupported_format\",\n  \"messageAttrs\" : {\n    \"path\" : \"<path>\",\n    \"type\" : \"PROFILE_PHOTO\"\n  }\n}"},"Wrong image resolution. Max resolution is: 1/1px":{"summary":"Wrong image resolution. Max resolution is: 1/1px","value":"{\n  \"message\" : \"Wrong image resolution. Max resolution is: 1/1px\",\n  \"messageCode\" : \"image_resolution_too_large\",\n  \"messageAttrs\" : {\n    \"path\" : \"<path>\",\n    \"type\" : \"PROFILE_PHOTO\"\n  }\n}"},"Wrong image aspect ratio. Min aspect ratio: <min aspect ratio>. Max aspect ratio: <max aspect ratio>.":{"summary":"Wrong image aspect ratio. Min aspect ratio: <min aspect ratio>. Max aspect ratio: <max aspect ratio>.","value":"{\n  \"message\" : \"Wrong image aspect ratio. Min aspect ratio: <min aspect ratio>. Max aspect ratio: <max aspect ratio>.\",\n  \"messageCode\" : \"image_wrong_aspect_ratio\",\n  \"messageAttrs\" : {\n    \"path\" : \"<path>\",\n    \"type\" : \"PROFILE_PHOTO\"\n  }\n}"},"Couldn't move image to approved folder. Path is empty.":{"summary":"Couldn't move image to approved folder. Path is empty.","value":"{\n  \"message\" : \"Couldn't move image to approved folder. Path is empty.\",\n  \"messageCode\" : \"cant_move_image\",\n  \"messageAttrs\" : {\n    \"idmAttributesId\" : 1,\n    \"type\" : \"PROFILE_PHOTO\"\n  }\n}"}}}}}},"security":[]}},"/public/habilitation/{habilitationId}/reviewer/{uuid}/readiness":{"get":{"tags":["public-hab-reviewer-controller"],"operationId":"getReviewerReadinessData","parameters":[{"name":"habilitationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/HabReviewerReadinessResponse"}}}}}},"put":{"tags":["public-hab-reviewer-controller"],"operationId":"updateReviewerReadinessData","parameters":[{"name":"habilitationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HabReviewerReadinessRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/HabReviewerReadinessResponse"}}}}}}},"/public/habilitation/{habilitationId}/reviewer/{uuid}/evaluation":{"put":{"tags":["public-hab-reviewer-controller"],"operationId":"updateReviewerEvaluation","parameters":[{"name":"habilitationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"evaluation","in":"query","required":true,"schema":{"type":"string","enum":["NONE","APPROVED","REJECTED"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/HabReviewerApplicationResponse"}}}}}}},"/public/funding/{fundId}":{"get":{"tags":["public-third-party-fund-controller"],"operationId":"findOne_1","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"fundId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThirdPartyFundResponse"}}}}},"security":[]},"put":{"tags":["public-third-party-fund-controller"],"operationId":"updateFund","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"fundId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThirdPartyFundRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThirdPartyFundResponse"}}}}},"security":[]},"delete":{"tags":["public-third-party-fund-controller"],"operationId":"deleteFund","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"fundId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DeleteObjectResponse"}}}}},"security":[]}},"/public/funding/project/step7/{fundId}":{"put":{"tags":["public-third-party-fund-controller"],"operationId":"createProjectStep7","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"fundId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThirdPartyFundResponse"}}}}},"security":[]}},"/public/funding/project/step6/{fundId}":{"put":{"tags":["public-third-party-fund-controller"],"operationId":"createProjectStep6","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"personId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"fundId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GrantDistributionPercentageRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThirdPartyFundResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"There is no email for person with ID: 1":{"summary":"There is no email for person with ID: 1","value":"{\n  \"message\" : \"There is no email for person with ID: 1\",\n  \"messageCode\" : \"person_email_absent\",\n  \"messageAttrs\" : {\n    \"personId\" : 1\n  }\n}"}}}}}},"security":[]}},"/public/funding/project/step5/{fundId}":{"put":{"tags":["public-third-party-fund-controller"],"operationId":"createProjectStep5","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"fundId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AbstractAndIdRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThirdPartyFundResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Grant percentage already distributed":{"summary":"Grant percentage already distributed","value":"{\n  \"message\" : \"Grant percentage already distributed\",\n  \"messageCode\" : \"grant_percentage_already_distributed\",\n  \"messageAttrs\" : { }\n}"},"Grant distribution link expired":{"summary":"Grant distribution link expired","value":"{\n  \"message\" : \"Grant distribution link expired\",\n  \"messageCode\" : \"grant_distribution_link_expired\",\n  \"messageAttrs\" : { }\n}"},"Grant distribution request never sent":{"summary":"Grant distribution request never sent","value":"{\n  \"message\" : \"Grant distribution request never sent\",\n  \"messageCode\" : \"grant_distribution_request_never_sent\",\n  \"messageAttrs\" : { }\n}"},"No PartnerFunding in fund for person":{"summary":"No PartnerFunding in fund for person","value":"{\n  \"message\" : \"No PartnerFunding in fund for person\",\n  \"messageCode\" : \"no_partner_funding_in_fund_for_person\",\n  \"messageAttrs\" : {\n    \"fundId\" : 1,\n    \"personId\" : 1\n  }\n}"},"Cant distribute percentage for project member":{"summary":"Cant distribute percentage for project member","value":"{\n  \"message\" : \"Cant distribute percentage for project member\",\n  \"messageCode\" : \"cant_distribute_percentage_for_project_member\",\n  \"messageAttrs\" : {\n    \"fundId\" : 1,\n    \"personId\" : 1\n  }\n}"}}}}}},"security":[]}},"/public/funding/project/step4/{fundId}":{"put":{"tags":["public-third-party-fund-controller"],"operationId":"createProjectStep4","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"fundId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectFinancesRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThirdPartyFundResponse"}}}}},"security":[]}},"/public/funding/project/step3/{fundId}":{"put":{"tags":["public-third-party-fund-controller"],"operationId":"createProjectStep3","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"fundId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundNameRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThirdPartyFundResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"Fund start date should not be after end date":{"summary":"Fund start date should not be after end date","value":"{\n  \"message\" : \"Fund start date should not be after end date\",\n  \"messageCode\" : \"fund_start_date_should_not_be_after_end_date\",\n  \"messageAttrs\" : { }\n}"},"Partner funding amount can't be bigger then self-managed amount":{"summary":"Partner funding amount can't be bigger then self-managed amount","value":"{\n  \"message\" : \"Partner funding amount can't be bigger then self-managed amount\",\n  \"messageCode\" : \"partner_funding_amount_can't_be_bigger_then_self_managed_mount\",\n  \"messageAttrs\" : { }\n}"},"TotalFundsAmount can't be less then self-managed amount":{"summary":"TotalFundsAmount can't be less then self-managed amount","value":"{\n  \"message\" : \"TotalFundsAmount can't be less then self-managed amount\",\n  \"messageCode\" : \"total_funds_amount_can't_be_less_then_self_managed_amount\",\n  \"messageAttrs\" : { }\n}"}}}}}},"security":[]}},"/public/funding/project/step2/{fundId}/{effortCategoryId}":{"put":{"tags":["public-third-party-fund-controller"],"operationId":"createProjectStep2","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"fundId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"effortCategoryId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"isUniversity","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThirdPartyFundResponse"}}}}},"security":[]}},"/public/funding/project/step1/{fundId}/{agencyId}":{"put":{"tags":["public-third-party-fund-controller"],"operationId":"updateProjectStep1","parameters":[{"name":"ticketToken","in":"query","required":true,"schema":{"type":"string"}},{"name":"fundId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"agencyId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThirdPartyFundResponse"}}}}},"security":[]}},"/public/funding/project/partner-fundings/{uuid}/step6":{"put":{"tags":["public-third-party-fund-controller"],"operationId":"createProjectStep6_1","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GrantDistributionPercentageRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ThirdPartyFundResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"examples":{"There is no email for person with ID: 1":{"summary":
[...]
